<bugID>492544<Summary>Add 'Paste and Go' + 'Paste and Search' to context menu on location field + search field</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1b4) Gecko/20090423 Firefox/3.5b4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1b4) Gecko/20090423 Firefox/3.5b4

This has become such a problem for my work, that I am filing it under a bug report...

In my work I need to paste many websites into the location bar, but I am constantly slowed down and irritated by there not being a 'paste and go' option, only a 'paste' option is there. I have already contacted Mozilla many times using the 'suggestions' page but its been months and still no reply or an implementation of this feature in Firefox.

Before you start, I know that there is a addon to 'provide' this feature, but it doesn't provide this feature...because it adds the 'paste and go' option to the right-click menu of the tab, not the location bar, so its useless and still frustrating...So why not take 30 minutes to add this feature to Firefox and save many people out there like me the slowdown and constant irritation of this feature being missing?

It's great that you are working on TraceMonkey and other high end features, but the fact that small features such as 'paste and go' have been overlooked by the many Firefox versions up to now is rather disappointing...

So please add this features:

1. Add 'Paste and Go' to the location bar.
2. Add 'Clear history button' to the 'Toolbar' or in 'Customize Toolbar'. 
3. Add 'Undo Last Tab button' to the 'Toolbar' or in 'Customize Toolbar'
4. Add 'Load Homepage' option when opening a new tab in 'Tools' &gt; 'Options'

Note: For number 3, the creator of the Addon 'Undo Closed Tabs Button' has stopped developing this addon, I have received a reply from the creator confirming this. Thanks for adding these features if you do...

Reproducible: Always

Steps to Reproduce:
1.copy a URL 
2.right-click on the location bar
3.note the missing 'Paste and Go' option and become very frustrated...
Actual Results:  
no feature

Expected Results:  
there should be a feature there to 'Paste and Go' to make my life and that of many other users a lot easier

Opera has this feature, Internet Explorer has this feature, everyone except Firefox has this feature!</Description></bugID>